# MEM 30/11/07 - Script per copiare gli archivi  procedura SIBAC su HD esterno

# Inizializzo variabili ambiente
pathlog="/sibac/copie/VerificaCopie.txt"

/bin/df -h | /bin/grep -i usb > /tmp/testhd
/bin/grep -i sda /proc/diskstats > /tmp/testusb1
/bin/grep -i sdb /proc/diskstats > /tmp/testusb2

echo "**** INIZIO COPIA ARCHIVI ****" > $pathlog

# Verifico se il disco esterno e' montato sul sistema, se non e'
# montato lo monto e procedo

if [ ! -s /tmp/testhd ] ; then
	if [ -s /tmp/testusb1 ] ; then
	  echo "Verifico disco esterno" >> $pathlog
	  fsck -y /dev/sda5
	  sleep 10
	  echo "Monto il disco esterno"  >> $pathlog
	  echo "           **         " >> $pathlog
	  # /bin/mount -t ext3 -o sync /dev/sda5 /mnt/usb
	  /bin/mount -t ext3 -o sync /dev/sda5 /mnt
	  sleep 15
	fi
	if [ -s /tmp/testusb2 ] ; then
	  echo "Verifico disco esterno" >> $pathlog
	  fsck -y /dev/sdb5
	  sleep 10
	  echo "Monto il disco esterno"  >> $pathlog
	  echo "......................" >> $pathlog
	  # /bin/mount -t ext3 -o sync /dev/sdb5 /mnt/usb
	  /bin/mount -t ext3 -o sync /dev/sdb5 /mnt
	  sleep 15
	fi
fi

# Elenco delle directory da copiare
cosacopiare="/etc /root /home/sibac/e* /home/sibac/icv /home/sibac/time /home/sibac/v*"

# con la copia creo un file sul disco USB 
# dovecopiare="/mnt/usb/`date +'%y%m%d.cpio'`"
# dovecopiare="/mnt/usb/`date +'%j.cpio'`"
# dovecopiare="/mnt/usb/`date +'%j-%a.cpio'`"
dovecopiare="/mnt/`date +'%j-%a.tar.gz'`"

# Comando per copiare
echo "--------------------------------------------------" >> $pathlog
echo "Inizio la copia degli archivi `date +'%d.%m.%y - Ora:%H.%M'`" >> $pathlog
echo "--------------------------------------------------" >> $pathlog
# find  $cosacopiare -print | cpio -o > $dovecopiare && gzip $dovecopiare
/bin/tar cvfz $dovecopiare $cosacopiare

#################################################################
# 30/11/07 agginto copia copie interne su hd esterno
#################################################################
/bin/cp -rf /home/sibac/copie/*.tar.gz /mnt

#################################################################
# smonto il disco esterno
echo "           **          " >> $pathlog
echo "Smonto il disco esterno" >> $pathlog
# /bin/umount /mnt/usb
/bin/umount /mnt
sleep 15
echo "--------------------------------------------------" >> $pathlog
echo "Fine della copia degli archivi `date +'%d.%m.%y - Ora:%H.%M'`" >> $pathlog
echo "--------------------------------------------------" >> $pathlog

#################################################################
# 29/05/07
# Ho eliminato questa fase perche' aggiunta istruzione a parte
# nel crontab
#
# echo "Chiusura Sistema Operativo"
# /sbin/shutdown -r now
#
# 21/06/07 
# modificato il test del montaggio del disco inserendo anche il 
# device sdb
#################################################################
